/* 
   ArchiverClasses.h

   Copyright (C) 1995, 1996, 1997 Ovidiu Predescu and Mircea Oancea.
   All rights reserved.

   Author: Ovidiu Predescu <ovidiu@bx.logicnet.ro>

   This file is part of libFoundation.

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose and without fee is hereby granted, provided
   that the above copyright notice appear in all copies and that both that
   copyright notice and this permission notice appear in supporting
   documentation.

   We disclaim all warranties with regard to this software, including all
   implied warranties of merchantability and fitness, in no event shall
   we be liable for any special, indirect or consequential damages or any
   damages whatsoever resulting from loss of use, data or profits, whether in
   an action of contract, negligence or other tortious action, arising out of
   or in connection with the use or performance of this software.
*/

#ifndef __ArchiverClasses_h__
#define __ArchiverClasses_h__

#import <Foundation/NSObject.h>

@class NSString;

@interface ArchivedClass1 : NSObject
{
    id obj1;
    id cond;
    id obj2;
    id replacement;
    int value;
    NSString* string;
    BOOL obj1Visited;
    id obj1Tested;
    BOOL obj2Visited;
    id obj2Tested;
    BOOL condVisited;
    id condTested;
}
- set_obj1:anObject;
- set_obj2:anObject;
- set_cond:anObject;
- set_replacement:anObject;
- set_value:(int)value;
- set_string:(NSString*)aString;
- obj1;
- obj2;
- cond;
- replacement;
- (int)value;
- (NSString*)string;
@end

@interface ArchivedClass2 : NSObject
{
    id obj;
    id replacement;
    int value;
    BOOL objVisited;
    id objTested;
}
- set_obj:anObject;
- set_replacement:anObject;
- set_value:(int)value;
- obj;
- replacement;
- (int)value;
@end

#endif /* __ArchiverClasses_h__ */
