/* 
   MyRange.h

   Copyright (C) 1995, 1996, 1997 Ovidiu Predescu and Mircea Oancea.
   All rights reserved.

   Author: Mircea Oancea <mircea@jupiter.elcom.pub.ro>

   This file is part of libFoundation.

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose and without fee is hereby granted, provided
   that the above copyright notice appear in all copies and that both that
   copyright notice and this permission notice appear in supporting
   documentation.

   We disclaim all warranties with regard to this software, including all
   implied warranties of merchantability and fitness, in no event shall
   we be liable for any special, indirect or consequential damages or any
   damages whatsoever resulting from loss of use, data or profits, whether in
   an action of contract, negligence or other tortious action, arising out of
   or in connection with the use or performance of this software.
*/

#ifndef __MyRange_h__
#define __MyRange_h__

#import <Foundation/NSObject.h>
#import <Foundation/NSRange.h>

@interface MyRange : NSObject
{
    unsigned int location;
    unsigned int length;
}
- initWithRange:(NSRange)aRange;
- initWithLocation:(unsigned int)aLoc length:(unsigned int)aLen;
- (unsigned int)location;
- (unsigned int)length;
@end /* MyRange */

#endif /* __MyRange_h__ */
