/*
  main.m

  Copyright (C) 1997 NET-Community

  Author: Scott Christley <scottc@net-community.com>
  Date: October 1997

  This file is part of the Foundation Testsuite

  Permission to use, copy, modify, and distribute this software and its
  documentation for any purpose and without fee is hereby granted, provided
  that the above copyright notice appear in all copies and that both that
  copyright notice and this permission notice appear in supporting
  documentation.

  We disclaim all warranties with regard to this software, including all
  implied warranties of merchantability and fitness, in no event shall
  we be liable for any special, indirect or consequential damages or any
  damages whatsoever resulting from loss of use, data or profits, whether in
  an action of contract, negligence or other tortious action, arising out of
  or in connection with the use or performance of this software.
*/

#include <ObjCTest/tests.h>

#import <Foundation/NSString.h>
#import <Foundation/NSException.h>
#import <Foundation/NSAutoreleasePool.h>
#import <Foundation/NSObjCRuntime.h>
#import <Foundation/NSProcessInfo.h>

void init_test();

int
main(int argc, char** argv, char** env)
{
#if LIB_FOUNDATION_LIBRARY
  [NSProcessInfo initializeWithArguments:argv count:argc environment:env];
#endif

  /* Perform any initialization */
  init_test();

  /* Run the tests */
  run_test();

  return 0;
}
